Bug 513951 - Anaconda ignores value of RUNKS variable
Anaconda ignores value of RUNKS variable
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.4
s390x Linux
medium Severity low
: rc
: ---
Assigned To: David Cantrell
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-27 05:45 EDT by Jan Stodola
Modified: 2010-03-30 04:01 EDT (History)
3 users (show)

See Also:
Fixed In Version: anaconda-11.1.2.196-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 532897 (view as bug list)
Environment:
Last Closed: 2010-03-30 04:01:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Stodola 2009-07-27 05:45:47 EDT
Description of problem:
When RUNKS=0 is set in cmsconffile, anaconda ignores this value and runs noninteractive installation, but Installation Guide writes:

RUNKS=value
Where value is defined as 1 if you want to run the installation program in noninteractive (kickstart) mode in the 3270 terminal, or 0 otherwise. 

http://www.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/5/html/Installation_Guide/s1-s390-steps-vm.html


Version-Release number of selected component (if applicable):
anaconda-11.1.2.190-1

How reproducible:
100%

Steps to Reproduce:
1. insert RUNKS=0 into cmsconffile
2. start installation
  
Actual results:
Anaconda is running in noninteractive mode

Expected results:
Anaconda is running in interactive mode

Additional info:
The only way how to run installation in interactive mode is to remove RUNKS variable from cmsconffile.
Comment 3 Denise Dumas 2009-07-27 17:22:49 EDT
Starting at line 143 in linuxrc.s390, we have this:

    if [ -z "$RUNKS" ]; then
        echo
        echo $"Connect now to $IPADDR and login as user root to start the installation."
        echo $"E.g. using: ssh -X root@$IPADDR"
        read
        while : ; do
            /bin/sh --login
            [ $? = 0 ] || break
        done
    fi

That if test should read:

    if [ -z "$RUNKS" ] || [ "$RUNKS" = "0" ]; then

Or whatever the valid shell syntax is.  The new linuxrc.s390 assumes *any*
value in RUNKS means do a non-interactive install. Oops.
Comment 4 RHEL Product and Program Management 2009-11-04 17:32:36 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Jan Stodola 2010-01-29 04:28:08 EST
Verified with RHEL5.5-Server-20100117.0 and anaconda-11.1.2.200-1.
Comment 7 Steffen Maier 2010-02-24 12:54:23 EST
David's fix from http://git.fedorahosted.org/git/anaconda.git?p=anaconda.git;a=commitdiff;h=c01cbdfd5348bfc1c405fd5ae364e9db9510bd78;hp=7ee506c82f71eb048a473865579dd7febdadb903 is perfect. It automatically takes care of all the other occurrences of testing $RUNKS in linuxrc.

Just for completeness:

(In reply to comment #3)
> Or whatever the valid shell syntax is.  The new linuxrc.s390 assumes *any*
> value in RUNKS means do a non-interactive install. Oops.    

Which is exactly what the old linuxrc.s390 did, so no change nor regression introduced here. Only when I heard of the same bug for RHEL6, I realized that the install guide has always also said something different:
https://www.redhat.com/archives/anaconda-devel-list/2009-November/msg00156.html
Comment 9 errata-xmlrpc 2010-03-30 04:01:56 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0194.html

Note You need to log in before you can comment on or make changes to this bug.